#if !defined(AFX_SEARCHDIALOG_H__CDE37D14_3742_43BC_B6AC_DD362F0DCCB3__INCLUDED_)
#define AFX_SEARCHDIALOG_H__CDE37D14_3742_43BC_B6AC_DD362F0DCCB3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SearchDialog.h : header file
//

#define LINESIZE 8

// 10/04/2017 search
/////////////////////////////////////////////////////////////////////////////
// CSearchDialog dialog

class CSearchDialog : public CDialog
{
// Construction
public:
	CSearchDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSearchDialog)
	enum { IDD = IDD_DIALOG_SEARCH };
	CButton	m_ctrlBtnGoTo;
	CListBox	m_ctrlSearchList;
	CButton	m_ctrlSearchBtn;
	CEdit	m_ctrlSearchEdit;
	CString	m_strStatic;
	CString	m_strSearchEdit;
	CString	m_strStaticResults;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSearchDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSearchDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnSearchButton();
	afx_msg void OnSelchangeSearchList();
	afx_msg void OnSearchGoBtn();
	afx_msg void OnSearchClear();
	//}}AFX_MSG

	// Updates
	//afx_msg void OnUpdateGoTo(CCmdUI* pCmdUI); 

	DECLARE_MESSAGE_MAP()

	// Scrolling
	int m_nDlgHeight;	// Workspace height in pixels
	int m_nVScrollPos;	// Vertical scroll position
	int m_nVPageSize;	// Vertical page size

public:
	BOOL GetSearchCurSelText(CString & str);

public:
	CString m_strRightPaneDef;

private:
	CFont m_searchListFont;
	BOOL IsValidSearchTerm(CString str);

private:
	CSearchArray m_results;
	int m_nSearched;		// used in GetSearchCurSelText()
	int m_nHits;

};



//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SEARCHDIALOG_H__CDE37D14_3742_43BC_B6AC_DD362F0DCCB3__INCLUDED_)
